Tools -> Language for .... is showing code instead of options

I got Collabora Code working from native package (Native debian 9 collabora package does (not) install correctly)

Now I encounter this next issue. When I click Tools -> Language for (…) I see code instead of options.

using loolwsd 2.1.4-3, collaboraOffice 5.3.10.28-28 on debian stretch

but the code-brand is stuck to 2.0.4 where I expect it to be 2.1.4 by now like loolwsd… apt-get update/upgrade doesn’t show me a new version.
How can I upgrade?

Unfortunately we detected this Language menu bug too late in the release cycle, and we released 2.1.4 with it. The root cause is that you did not have hunspell or myspell dictionaries installed. Try to install at least English:
apt-get install hunspell-en-us

In regards of the branding package, you are at the latest version, don’t worry. We don’t update it every time, it is quite stable. I’m sorry, if the version number number is confusing.

Hi Timar, thanks, indeed that did the trick (for only also after installing en_gb and nl_nl…
and of course after restarting loolwsd.service

Is there a way to install all languages at once?

Yes, it’s possible to apt-get install hunspell-* but in this case you’ll run into the other bug (that we want to fix of course), i.e. that menu cannot handle too many languages, only the first dozen will be displayed. So maybe it’s better to install only those languages that you actually need.

Ok thanks! I’ll wait for it to be fixed then… Odd though the installed en-us does not show, en-gb does…